Subject: Re: [PATCH net 0/2] gve: fix crashes on invalid TX queue indices

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Jan 2026 16:38:25 -0800

On Fri, 30 Jan 2026 21:56:07 +0100 Eric Dumazet wrote:
> Jakub, the issue is that before 4.20, calling synchronize_rcu()
> instead of synchronize_rcu_bh()
> was probably a bug. I suspect we had more issues like that.
> 
>  __dev_queue_xmit takes a rcu_read_lock_bh(), while the code (that you
> added in 2018 [1])
> to update the queue netif_set_real_num_tx_queues does synchronize_net()
> (aka synchronize_rcu()) and in earlier times, it would mean that this
> would maybe return too soon (say on preemptible kernels)
> 
> [...]
> 
> So perhaps a fix for pre 4.20 kernel would be: (I kept the
> synchronize_net() to be really cautious and because I really do not
> want to test)

Sounds entirely plausible, FWIW. Ankit, this would mean that you have
to convince RHEL / Rocky to take Eric's patch. Oldest kernel we can
patch upstream is 5.10, AFAIK.